> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Triage-Aktion prüfen

> Genehmigt eine ausstehende Aktion oder lehnt sie ab. Der Prüfer muss ein anderer Unternehmensadministrator mit der Berechtigung sein, den Status jedes ausgewählten Finding-Typs zu ändern.



## OpenAPI

````yaml /de/api-reference/openapi.json patch /triage/actions/{action_id}
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: >-
    API für die Interaktion mit den Scan- und
    Schwachstellenmanagement-Funktionen von Corgea
servers:
  - url: https://www.corgea.app/api/v1
    description: Produktionsserver
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /triage/actions/{action_id}:
    patch:
      tags:
        - Triage
      summary: Triage-Aktion prüfen
      description: >-
        Genehmigt eine ausstehende Aktion oder lehnt sie ab. Der Prüfer muss ein
        anderer Unternehmensadministrator mit der Berechtigung sein, den Status
        jedes ausgewählten Finding-Typs zu ändern.
      operationId: DeReviewTriageAction
      parameters:
        - name: action_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - decision
              additionalProperties: false
              properties:
                decision:
                  type: string
                  enum:
                    - approve
                    - reject
      responses:
        '200':
          description: Aktion genehmigt und angewendet oder abgelehnt
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeTriageActionResponse'
        '400':
          description: Ungültige Entscheidung oder ungültiger Aktionsstatus
        '403':
          description: Der Prüfer ist kein berechtigter Unternehmensadministrator
        '404':
          description: Aktion nicht gefunden
components:
  schemas:
    DeTriageActionResponse:
      type: object
      properties:
        status:
          type: string
          example: ok
        action:
          $ref: '#/components/schemas/DeTriageAction'
    DeTriageAction:
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - preview
            - pending_approval
            - applied
            - rejected
            - failed
        source:
          type: string
          enum:
            - api
            - cli
            - cxone
        target_status:
          type: string
        justification:
          type: string
        accepted_risk_expiry_date:
          type: string
          format: date-time
          nullable: true
        rule:
          type: object
        source_metadata:
          type: object
        requires_approval:
          type: boolean
        requested_by:
          type: integer
          nullable: true
        approved_by:
          type: integer
          nullable: true
        rejected_by:
          type: integer
          nullable: true
        created_at:
          type: string
          format: date-time
        reviewed_at:
          type: string
          format: date-time
          nullable: true
        applied_at:
          type: string
          format: date-time
          nullable: true
        counts:
          type: object
          properties:
            matched:
              type: integer
            unmatched:
              type: integer
            ambiguous:
              type: integer
            applied:
              type: integer
            conflicts:
              type: integer
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: API-Key für die Authentifizierung
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: OAuth2-Access-Token (JWT) im Authorization-Header

````